Bug 119020 - Crash with ATi Radeon Mobility 7500
Crash with ATi Radeon Mobility 7500
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-23 17:12 EST by Nathan Robertson
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-08 15:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg log from the crash (15.99 KB, text/plain)
2004-03-23 17:13 EST, Nathan Robertson
no flags Details
dmesg output for box in question (6.69 KB, text/plain)
2004-04-07 21:16 EDT, Nathan Robertson
no flags Details

  None (edit)
Description Nathan Robertson 2004-03-23 17:12:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
Using a known to be good XF86Config (taken off my Yellow Dog Linux
install, which has XFree86 4.3.0), xorg crashes with the following

(II) Setting vga for screen 0.
(II) RADEON(0): MMIO registers at 0xb0000000
Fatal server error:
xf86MapVidMem: Could not mmap framebuffer (0xb0000000,0x80000) (Bad

I'm running Arjan's latest ppc kernel (2.6.4-1.279), which has the new
Radeon framebuffer driver in it (which I'm using).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. startx

Additional info:
Comment 1 Nathan Robertson 2004-03-23 17:13:43 EST
Created attachment 98811 [details]
xorg log from the crash
Comment 2 Mike A. Harris 2004-04-02 19:23:24 EST
Probably best to report this to the Xorg bugzilla, and paste the
upstream bug URL here for us to track upstream.

http://bugs.freedesktop.org - xorg component

You might also want to report the problem to the Yellow Dog developers
as they'll likely be switching to Xorg X11 also I assume.

Thanks in advance,
Comment 3 Arjan van de Ven 2004-04-03 02:38:09 EST
can you attach dmesg output as well please ?
Comment 4 Nathan Robertson 2004-04-07 21:16:13 EDT
Created attachment 99222 [details]
dmesg output for box in question

Note: I've upgraded the kernel to a later "Arjan special", plus a unrelated
.config update patch. Apart from that, no changes.
Comment 5 Nathan Robertson 2004-04-07 21:33:25 EDT
http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=424 reported
Comment 6 Arjan van de Ven 2004-04-08 04:59:37 EDT
ok this is a kernel bug of mine; fixed for build 309 or later
Comment 7 Mike A. Harris 2004-04-08 15:42:53 EDT
Closing as fixed in rawhide kernel build 309 and later.

Thanks for reporting the issue.  I've also closed the upstream

Note You need to log in before you can comment on or make changes to this bug.